apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: utorrent-putio
  name: utorrent-putio
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: utorrent-putio
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: utorrent-putio
    spec:
      containers:
        - image: docker.casey-vockrodt.com/utorrent-putio
          imagePullPolicy: Always
          name: nginx
          env:
            - name: NODE_ENV
              value: production
          ports:
            - containerPort: 3000
              name: http
              protocol: TCP
          resources:
            limits:
              cpu: 100m
              memory: 150Mi
            requests:
              cpu: 50m
              memory: 100Mi
          securityContext:
            capabilities:
              drop:
                - ALL
            readOnlyRootFilesystem: true
            runAsNonRoot: true
            runAsUser: 1000
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
            - mountPath: /tmp
              name: tmp
      dnsPolicy: ClusterFirst
      imagePullSecrets:
        - name: regcred
      nodeSelector:
        beta.kubernetes.io/arch: amd64
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
        - emptyDir:
            medium: Memory
          name: tmp
